<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <title>i1 Labs - Realtime Application Security 2006</title>
    <link rel="stylesheet" href="scripts/styles.css" type="text/css" />
    <script language="javascript" type="text/javascript" src="scripts/scripts.js"></script>
  </head>
  <body leftmargin="0" rightmargin="0">
    <div id="help">
      <h1>Realtime Application Security 2006</h1>

      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td valign="top">
            <table cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td valign="top">
                  <p><a href="#AddANewUser">Add a New User</a><br />
                  <a href="#ModifyAnExistingUser">Modify an Existing User</a><br />
                  <a href="#ModifyAUsersAttributes">Modify a User's Attributes</a><br />
                  <a href="#AddANewApplication">Add a New Application</a><br />
                  <a href="#ModifyAnExistingApplication">Modify an Existing Application</a><br />
                  <a href="#ModifyAnApplicationsAttributes">Modify an Application's Attributes</a><br />
                  <a href="#ModifySystemWideExemptEXEs">Modify System Wide Exempt EXEs</a><br />
                  <a href="#UserAccessRequests">User Access Requests</a><br />
                  <a href="#ViewReports">View Reports</a><br />
                  <a href="#ViewLogs">View Logs</a><br />
                  </p>

                  <p align="justify"><a name="#AddANewUser"></a><br />
                  <font color="#F8713B"><b>Add a New User</b></font><br />
                  <br />
                  A user account must be added here before 
                  it can be controlled. To add a managed user account, enter the 
                  username in the form <b>&lt;domain or computer name&gt;</b>\<b>&lt;username&gt;</b>. 
                  For example, to add user <b>UA00001</b> in domain <b>TESTDOM</b>, you 
                  would enter <b>TESTDOM\UA00001</b>. If this was a local user account 
                  and the machine name was <b>WORKSTATION</b>, then you would type 
                  <b>WORKSTATION\UA00001</b>. Once the user is added, it will appear 
                  in the User List to the right, so that it can be managed by Realtime 
                  Application Security 2006. When the application is first installed, 
                  it will pre-populate the User List to the right with every user that 
                  has logged onto the machine in the past. The pre-populated list 
                  matches the list of user profiles that existed on the machine at the 
                  time of installation.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>

                  <p align="justify"><a name="#ModifyAnExistingUser"></a><br />
                  <font color="#F8713B"><b>Modify an Existing User</b></font><br />
                  <br />
                  When the application is first installed, 
                  this field is automatically populated with every user that has logged 
                  onto the machine in the past. The pre-populated list matches the 
                  list of user profiles that existed on the machine at the time of installation. 
                  Each user is listed in one of two ways:<br />
                  <br />
                  <b>&lt;machine or domain name&gt;\&lt;username&gt; 
                  [UNSECURED]</b> - Users who are first added are unsecured by default. 
                  An <u>unsecured</u> user is not managed by Realtime Application Security 
                  2006 and has no access restrictions.<br />
                  <br />
                  <b>&lt;machine or domain name&gt;\&lt;username&gt;</b> 
                  - This user is <u>secured</u> and their application access is being 
                  managed by Realtime Application Security 2006.<br />
                  <br />
                  IMPORTANT: By default, a <u>secured</u> 
                  user is denied access to all executables on the system, except the default 
                  exempt executables listed under <b>Exempt EXEs</b>. As a result, a 
                  newly-secured user will not be able to launch any executable until applications 
                  have been created and appear in their <b>Allowed Applications</b> list.<br />
                  <br />
                  To secure or unsecure a user account or 
                  to manage a user's <b>Allowed Applications</b>, click the user account 
                  to highlight it, and then click <b>Modify</b>. To remove a user 
                  account, click the user account to highlight it, then click<b> Remove</b>. 
                  To search for a user account within the User List, type the first few 
                  letters of the username in the search field below the User List.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>

                  <p align="justify"><a name="#ModifyAUsersAttributes"></a><br />
                  <font color="#F8713B"><b>Modify a User's Attributes</b></font><br />
                  <br />
                  This console screen allows you to secure 
                  or unsecure a user account by checking or unchecking the <b>Secure User</b> 
                  checkbox. An <u>unsecured</u> user is not managed by Realtime Application 
                  Security 2006 and has no access restrictions.  A <u>secured</u> 
                  user account is being managed by Realtime Application Security 2006 
                  and is restricted from running any application or executable, except 
                  those listed in their <b>Allowed Applications</b> list or those listed 
                  under <b>Exempt EXEs</b>.<br />
                  <br />
                  NOTE: By default, a newly-secured 
                  user is not allowed to run any non-exempt applications unless the application 
                  is first added to the <b>Allowed Applications</b> list.<br />
                  <br />
                  NOTE: In order to create a user-defined 
                  application and have it appear in the application list, choose the 
                  <b>Manage Applications</b> navigation element at the top of the screen.<br />
                  <br />
                  The <b>Disallowed Applications</b> list 
                  is automatically populated with all common application executables that 
                  exist anywhere within the Program Files directory or Windows directory 
                  environment variables (i.e. <b>ProgramFiles=</b> or <b>windir=</b>). 
                  To allow a user to run a particular application, click the application 
                  from the <b>Disallowed Applications</b> list and choose the arrow button 
                  to the left to add it to the <b>Allowed Application</b> list. 
                  In order to commit changes, click the <b>Update User</b> button. 
                  Click the <b>Cancel</b> button to cancel any changes and return to the 
                  previous screen. The search fields at the bottom of each list 
                  can be used to quickly locate a particular application by typing the 
                  first characters of the application name.<br />
                  <br />
                  HINT: To select multiple applications 
                  at once, hold down your CTRL or SHIFT keys.<br />
                  <br />
                  HINT: To quickly select an application 
                  from either list, type the first few characters of the application name 
                  in the search field below the list.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>

                  <p align="justify"><a name="#AddANewApplication"></a><br />
                  <font color="#F8713B"><b>Add a New Application</b></font><br />
                  <br />
                  In order to manage access to an application, 
                  you first need to add the application name to the <b>Application List</b>. 
                  A named application is like a group name that defines one or more executables 
                  that will be managed as a set. Once the application is added to 
                  the application list, the executable(s) can be associated to the application 
                  name for the purposes of controlling user access to those executables. 
                  To add an application to the <b>Application List</b>, type the name 
                  of the application and click <b>Add Application</b>.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>

                  <p align="justify"><a name="#ModifyAnExistingApplication"></a><br />
                  <font color="#F8713B"><b>Modify an Existing Application</b></font><br />
                  <br />
                  The <b>Application List</b> is automatically 
                  pre-populated with all application executables that exist anywhere within 
                  the Program Files directory or Windows directory environment variables 
                  (<b>ProgramFiles</b>= and <b>windir</b>=). If an installed program 
                  does not show up in this list, the application first needs to be added 
                  to the <b>Application List</b> in order for you to manage user access 
                  to the application. The search field below the <b>Application 
                  List</b> can be used to quickly locate an existing application name 
                  by typing in the first few characters of the application name.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>

                  <p align="justify"><a name="#ModifyAnApplicationsAttributes"></a><br />
                  <font color="#F8713B"><b>Modify an Application's Attributes</b></font><br />
                  <br />
                  This console screen allows you to allow 
                  or disallow users from launching specific applications. By default, 
                  no applications appear in the <b>Allowed Applications</b> list, and 
                  all users are disallowed from launching any and all executables except 
                  those listed under <b>Exempt EXEs</b>. In order to allow one or 
                  more users to use an application, click to select the user and use the 
                  arrow button to add the user to the <b>Allowed Users</b> list. 
                  Click the <b>Update Application</b> button in order to commit the change(s).<br />
                  <br />
                  HINT: To select multiple users 
                  at once, hold down your CTRL or SHIFT keys.<br />
                  <br />
                  HINT: To quickly select a user 
                  from either list, type the first few characters of the user account 
                  in the search field below the list.<br />
                  <br />
                  The <b>Application EXEs</b> list shows 
                  all application executables that were either (1) automatically discovered 
                  as part of the installation process to be associated with the application 
                  or (2) have been launched since the time of the installation. 
                  From the time of installation, the database records every executable 
                  that is launched by any user on the system. This &quot;learning&quot; 
                  feature automatically populates the <b>Application EXEs </b>
                  list with all possible executable files that can be associated with 
                  an application.<br />
                  <br />
                  IMPORTANT: If a particular 
                  .EXE file does not show up in the <b>Application EXEs </b>
                  list, simply run the application once, and then refresh the browser, 
                  in order to have the associated .EXE files appear!<br />
                  <br />
                  In order to associate one or more .EXE 
                  files with the application, check the appropriate checkboxes and click 
                  the <b>Update Application</b> button in order to commit the changes.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>

                  <p align="justify"><a name="#ModifySystemWideExemptEXEs"></a><br />
                  <font color="#F8713B"><b>Modify System Wide Exempt EXEs</b></font><br />
                  <br />
                  The <b>Exempt EXEs</b> list shows all 
                  application executables that either (1) are considered default exempt 
                  .EXE files or (2) have been launched since the time of the installation. 
                  From the time of installation, the database records every executable 
                  that is launched by any user on the system.  This &quot;learning&quot; 
                  feature automatically populates the <b>Exempt EXEs </b>
                  list with all possible executable files that can be set to exempt.<br />
                  <br />
                  <b>Exempt EXEs</b> are .EXE files that any 
                  user on the machine can launch.  For example, the USERINIT.EXE 
                  file is required for the logon process and should not be prohibited. 
                  USERINIT.EXE is part of a small set of common system .EXE files that 
                  are set to exempt, by default.<br />
                  <br />
                  IMPORTANT: If a particular 
                  .EXE file does not show up in the <b>Exempt EXEs </b>
                  list, simply run the application once, and then refresh the browser 
                  in order to have the associated .EXE file(s) appear!<br />
                  <br />
                  To make an .EXE file exempt, simply check 
                  the box next to the .EXE file.  Click the <b>Update Exempt EXEs</b> 
                  button to commit changes.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>

                  <p align="justify"><a name="#UserAccessRequests"></a><br />
                  <font color="#F8713B"><b>User Access Requests</b></font><br />
                  <br />
                  A powerful feature of <b>Realtime Application 
                  Security 2006</b> is the ability for users to request access to disallowed 
                  applications at the same time the user receives the denied access message. 
                  If a user requests access to a disallowed application, the access request 
                  fields in this console screen will automatically populate with the username 
                  of the user who made the request, as well as the application they've 
                  requested access to.<br />
                  <br />
                  If you select a particular username in 
                  the <b>Access Requests by User</b> field, the associated application 
                  from the request will also be automatically selected in the <b>Access 
                  Requests by Application</b> field.  By default, if the application 
                  hasn't been created yet, the application will appear as <b>Unassigned</b> 

                  in the <b>Access Requests by Application</b> field and the .EXE file 
                  will appear under <b>EXE Name</b>.  In order to name an <b>Unassigned</b> 
                  application and associate the appropriate .EXE file, click on the <b>
                  Manage Applications</b> navigation element at the top of the screen.<br />
                  <br />
                  To approve an access request, simply 
                  choose the access request under <b>Access Requests by User</b> and click <b>

                  Approve Request</b>.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>

                  <p align="justify"><a name="#ViewReports"></a><br />
                  <font color="#F8713B"><b>View Reports</b></font><br />
                  <br />
                  Reports can be generated on-the-fly showing 
                  a user's allowed applications or an application's allowed users.<br />
                  <br />
                  To view which applications a user has 
                  access to, click the <b>Reports by User</b> link, select the username 
                  from the drop-down list, and click <b>Search</b>.<br />
                  <br />
                  To view which users are allowed to run 
                  a particular application, click the <b>Reports by Application</b> link, 
                  choose the named application from the drop-down list, the click <b>Search</b>.<br />
                  <br />
                  IMPORTANT: Unassigned application executables 
                  that have been automatically discovered after they launch for the first 
                  time will not automatically show up in the <b>Reports by Application</b> 
                  drop-down list, by default.  You will first need to create a new 
                  application name and assign the appropriate discovered executable(s) 
                  to the newly-created application name within <b>Manage Applications</b>.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>

                  <p align="justify"><a name="#ViewLogs"></a><br />
                  <font color="#F8713B"><b>View Logs</b></font><br />
                  <br />
                  Activity and error logs are generated 
                  on-the-fly to give you important administration information. You 
                  can easily query the database by username or executable to view what 
                  activity has taken place since installation.<br />
                  <br />
                  The <b>Denied Access Log</b> shows you 
                  every executable that someone has been denied access to, even if they 
                  did not request access to the denied application.  The <b>Denied 
                  Access Log</b> shows a time stamp, the username, the path/executable, 
                  and the associated application name for each deny message that has been 
                  generated.<br />
                  <br />
                  The <b>Activity Log</b> shows every executable 
                  that has been successfully launched since the time of installation, 
                  including the date/time it was launched, the user who launched it, and 
                  the full text of the command that was executed.<br />
                  <br />
                  The <b>Error Log</b> shows all error messages 
                  that have been generated by Realtime Application Security 2006 since the
                  time of installation, along with a date/time stamp.<br />
                  <br />
                  To filter the Denied Access Log or Activity 
                  Log entries, simply type in the first few letters of the application 
                  or username in the appropriate query field, and then click <b>Search</b>. 
                  To show the entire log, leave the query fields blank and click <b>Search</b>.<br />
                  <br />
                  </p>

                  <p align="center">
                  [ <a href="help.asp" onClick="javascript:window.close(); return false;">Close</a> ]
                  </p>
                </td>

              </tr>
            </table>

          </td>

        </tr>
      </table>

    </div>
  </body>
</html>
